Spaces method and path for this operation:
get /s/{space_id}/api/fleet/agent_download_sources
Refer to Spaces for more information.
List all agent binary download sources.
[Required authorization] Route required privileges: fleet-agent-policies-read OR fleet-settings-read.
GET
/api/fleet/agent_download_sources
curl \
--request GET 'https://<KIBANA_URL>/api/fleet/agent_download_sources' \
--header "Authorization: $API_KEY"
Response examples (200)
List of agent binary download sources
{
"items": [
{
"host": "https://artifacts.elastic.co/downloads/",
"id": "download-source-id-1",
"is_default": true,
"name": "Elastic Artifacts"
}
],
"page": 1,
"perPage": 20,
"total": 1
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}